Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225861

Summary: Merge Review: grub
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bashton, maurizio.antillon, pjones, redhat-bugzilla, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-15 04:18:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 223699    
Bug Blocks:    

Description Nobody's working on this, feel free to take it 2007-01-31 18:58:43 UTC
Fedora Merge Review: grub

http://cvs.fedora.redhat.com/viewcvs/devel/grub/
Initial Owner: pjones@redhat.com

Comment 1 Robert Scheck 2007-03-18 22:57:27 UTC
Automake 1.10 seems to broke the grub rebuilding:

+ autoreconf --install --force
docs/Makefile.am:30: `%'-style pattern rules are a GNU make extension
docs/Makefile.am:33: `%'-style pattern rules are a GNU make extension
docs/Makefile.am:36: `%'-style pattern rules are a GNU make extension
docs/Makefile.am:3: compiling `kernel.c' with per-target flags requires 
`AM_PROG_CC_C_O' in `configure.ac'
/usr/share/automake-1.10/am/depend2.am: am__fastdepCCAS does not appear in 
AM_CONDITIONAL
/usr/share/automake-1.10/am/depend2.am:   The usual way to define 
`am__fastdepCCAS' is to add `AM_PROG_AS'
/usr/share/automake-1.10/am/depend2.am:   to `configure.ac' and run `aclocal' 
and `autoconf' again.
autoreconf: automake failed with exit status: 1
error: Bad exit status from /var/tmp/rpm-tmp.31543 (%build)

Comment 2 Thorsten Leemhuis 2007-04-06 11:59:08 UTC
Just noticed:

$ LC_ALL=C rpm -qf /boot/grub/*
file /boot/grub/device.map is not owned by any package
file /boot/grub/e2fs_stage1_5 is not owned by any package
file /boot/grub/fat_stage1_5 is not owned by any package
file /boot/grub/ffs_stage1_5 is not owned by any package
file /boot/grub/grub.conf is not owned by any package
file /boot/grub/iso9660_stage1_5 is not owned by any package
file /boot/grub/jfs_stage1_5 is not owned by any package
file /boot/grub/menu.lst is not owned by any package
file /boot/grub/minix_stage1_5 is not owned by any package
file /boot/grub/reiserfs_stage1_5 is not owned by any package
fedora-logos-6.0.97-2.fc7
file /boot/grub/stage1 is not owned by any package
file /boot/grub/stage2 is not owned by any package
file /boot/grub/ufs2_stage1_5 is not owned by any package
file /boot/grub/vstafs_stage1_5 is not owned by any package
file /boot/grub/xfs_stage1_5 is not owned by any package

I'd say all those unowned files should be ghost-owned by grub.

Comment 3 Susi Lehtola 2009-04-29 21:24:04 UTC
- You're doing installs in build phase and not cleaning tree in install phase. If you need to do many builds with different flags, use out-of-root builds.

- Where does the stuff in /boot/grub come from (stages &al)? They're not owned by any package, except splash.xpm.
The stage files seem to exist in %{_datadir}/grub. Does grub-install copy them to /boot?

- Any reason why you're not using standard %{optflags}?

Comment 4 Jason Tibbitts 2013-06-15 04:18:11 UTC
This package is dead as of F19.